/*Header*/
header {
  border-bottom: 1px solid #000000;
  padding: 0.7em;
  background-color: #0d1b2a;
  color: #d0d6db;
}
.responsiveHeader {
  padding: 0.7em;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.responsiveHeader svg {
  width: clamp(2.5em, 6vw, 6em);
}
.responsiveHeader img {
  width: clamp(2.5em, 10vw, 5em);
}

/*Menu pour les grands ecrans*/
.menuOrdi {
  display: none;
  background-color: #c5c5c5;
}
.ulMenuOrdi {
  display: flex;
  gap: 30px;
  list-style: none;
  justify-content: center;
}
.navOrdi ul li a {
  text-decoration: none;
  color: #0d1b2a;
  font-size: clamp(1rem, 30vw, 1.4rem);
  padding: 0.3em 0.1em;
  display: flex;
  align-items: center;
}
.categoryIconOrdi {
  width: 0.7em;
}

/*barre de recherche ordi*/
.searchBar {
  border: 1px solid #c5c5c5;
  height: max-content;
  display: none;
  align-items: stretch;
  border-radius: 10px;
}
.searchBar input {
  padding: 0.4em;
  font-size: 1.2rem;
  border: none;
  outline: none;
  color:#c5c5c5;
  background-color: transparent;
}
.searchBar button {
  border: none;
  padding: 0.1em;
  background-color: transparent;
}
.searchBar button svg {
  width: 1em;
  color: #c5c5c5;
}

/*Bouton pour les dons*/
.btn-don {
  background-color: #c5c5c5;
  border: 1px solid #757575;
  height: max-content;
  padding: 0.4em;
  display: none;
}
.btn-don a {
  text-decoration: none;
  color: #0c0c0c;
  font-size: clamp(1rem, 30vw, 1.2rem);
}

/*sous-menu ordi*/
.btnCategoryOrdi {
  position: relative;
  /* background-color: #ffffff; */
}
.btnCategoryOrdi {
  display: flex;
  align-items: center;
  gap: 06px;
}
.categoryIconOrdi {
  transition: transform 0.4s ease;
}
.btnCategoryOrdi:hover .categoryIconOrdi {
  transform: rotate(90deg);
}
.btnCategoryOrdi:hover .sousMenuOrdi {
  background-color: #ffffff67;
  backdrop-filter: blur(10px);
  opacity: 1;
  visibility: visible;
}
.sousMenuOrdi {
  position: absolute;
  top: 100%;
  left: 0;
  list-style: none;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 5px;
  background-color: #ffffffab;
  padding: 0.3em;
  opacity: 0;
  visibility: hidden;
  transition: all 0.3s ease;
}
.sousMenuOrdi li {
  border-bottom: 1px solid #0d1b2a;
  margin: 0;
}
/*Style du menu deroulant*/
.menuDeroulante {
  background-color: #0d1b2a;
  position:absolute;
  left:0;
  width: 100%;
  height: fit-content;

  transform: translateX(-100%);
  transition: transform 0.4s ease;

}
.menuDeroulanteActive {
  transform: translateX(0);
  z-index: 999;
}
.menu li {
  margin-top: 0.5em;
  font-size: 1.8rem;
  padding: 0.4em;
  color: #d0d6db;
  border-bottom: 1px solid #d0d6db;
}
.menu li a,
button {
  text-decoration: none;
  font-size: 1.5rem;
  color: #d0d6db;
}
.menu li button {
  text-decoration: none;
  font-size: 1.5rem;
  color: #d0d6db;
  border: none;
  background-color: transparent;
  outline: none;
  gap: 15px;
  display: flex;
  align-items: center;
}
.categoryIconActive {
  transition: transform 0.5s ease;
  transform: rotate(90deg);
}
.categoryMenu {
  margin-top: 1em;
  padding-left: 2em;
  list-style: none;
  display: none;
}
.categoryMenu li {
  border-bottom: none;
  border-left: 1px solid #000000;
  background-color: #d0d6db0a;
}
.activeCategoryMenu {
  display: block;
}

/*Pour les grandes Ecrans: Ordi...*/
@media screen and (min-width: 800px) {
  .icon_menu,
  .search-icon,
  .menuDeroulante {
    display: none;
  }
  .menuOrdi,
  .btn-don {
    display: block;
  }
  header {
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding: 2rem 5rem;
    background-color: #082052;
    /* #17518f */
    color: #d0d6db;
  }
  .responsiveHeader {
    padding: 0;
  }
  .searchBar {
    display: flex;
  }

}